---
title: "更新发货单物流追踪信息"
description: "更新指定发货单的追踪信息。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-information'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-information.md'
---
# 更新发货单物流追踪信息

更新指定发货单的追踪信息。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /fulfillments/:order_id/:fulfillment_id/update_tracking.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_assigned_fulfillment_orders`

## Request

### Path Parameters

* `order_id`

  string (required)

  订单号。

* `fulfillment_id`

  string (required)

  发货单 ID。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `fulfillment`

  object

  发货单信息。

  * `notify_customer`

    boolean

    创建或更新发货单物流追踪信息后是否通过邮件通知消费者：
    - `true`: 通知消费者
    - `false`: 不通知消费者
    
    默认值：`false`
    

  * `tracking_info`

    object

    物流追踪信息。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

    * `company`

      string

      物流公司名称。

    * `number`

      string

      物流单号。

    * `url`

      string

      物流公司的域名。

  * `tracking_info_list`

    array<object>

    物流追踪信息列表。此接口执行覆盖更新，未提供字段将被清空。
    
    最大个数限制：10 

    * `tracking_url`

      string

      物流公司的域名。

    * `tracking_company`

      string

      物流公司名称，枚举值参考 [物流公司名单](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/logistics-company-list.md)。

    * `tracking_number`

      string

      物流单号。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `fulfillment`

  object

  发货单信息。

  * `order_id`

    string

    订单号。

  * `tracking_company`

    string

    物流公司名称。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `tracking_info_list`

    array<object>

    物流追踪信息列表。

    * `tracking_company`

      string

      物流服务商。	

    * `tracking_number`

      string

      物流单号。	

    * `tracking_url`

      string

      物流公司的域名。	

  * `tracking_number`

    string

    第三方物流单号。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `tracking_url`

    string

    物流追踪URL。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `updated_at`

    string

    发货单更新时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `created_at`

    string

    发货单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `id`

    string

    发货单 ID。

  * `shipment_status`

    string

    发货单物流追踪状态。有效枚举值包含：
    - `label_printed`：物流标签已打印
    - `label_purchased`：物流标签已购买
    - `attempted_delivery`：尝试派送，表示快递员尝试派送包裹但未成功
    - `ready_for_pickup`：等待物流公司取件
    - `picked_up`：物流公司已取件
    - `confirmed`：订单已确认
    - `in_transit`：包裹正在运输途中
    - `out_for_delivery`：包裹已到达目的地区域，正在派送
    - `delivered`：包裹已送达
    - `failure`：由于某些原因，包裹配送失败

  * `status`

    string

    发货单状态。有效枚举值包含：
    - `success`：已发货
    - `cancelled`：已取消

  * `tracking_numbers`

    array<string>

    物流单号列表。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `tracking_urls`

    array<string>

    物流公司域名列表。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `line_items`

    array<object>

    发货单的商品列表。	

    * `variant_title`

      string

      商品款式值，多个以 `/ ` 分割。

    * `version`

      string

      商品版本。

    * `fulfillable_quantity`

      integer

      商品剩余可发货数量。

    * `id`

      string

      商品行快照表的 ID，系统生成，与订单 ID 唯一确认一个商品行。

    * `quantity`

      integer

      订单中的商品数量。

    * `sku`

      string

      商品 SKU 序列号。

    * `title`

      string

      商品标题。

    * `total_discount_set`

      object

      订单折扣总和，为营销折扣 + 自定义折扣，分别以店铺币种金额和买家币种金额展示。

      * `presentment_money`

        object

        展示给买家的折扣信息。

      * `shop_money`

        object

        商家侧记录的折扣信息。

    * `fulfillment_status`

      string

      发货状态。有效枚举值包含：
      - `unshipped`：未发货
      - `partial`：部分发货
      - `shipped`：已发货

    * `properties`

      array<object>

      商品定制信息列表。

      * `value`

        string

        自定义属性值。

      * `additional`

        string

        定制商品附加字段，比如当 `type` 为 `文字`，`additional` 可以附加文字的字号、字体、颜色等。

      * `name`

        string

        自定义属性名称。

      * `type`

        string

        定制信息类型。有效枚举值包含：
        - `text`：字符类型
        - `picture`：图片类型
        - `link`：链接类型

      * `urls`

        array<string>

        URL 列表。如果 `type` 是 `picture`，可通过 `urls` 获取缩略图，如果 `type` 是 `link`，那么超链接为 `urls` 的第一个。

    * `tax_lines`

      array<object>

      税费明细列表。

      * `name`

        string

        税费名称。

      * `price`

        string

        税费，以店铺币种展示。数值保留到小数点后两位。

      * `price_set`

        object

        税费，分别以买家币种和店铺币种展示。

      * `rate`

        string

        税率，该信息只做展示作用。

      * `title`

        string

        税费说明标题。该信息只做展示作用。

    * `taxable`

      boolean

      该商品是否需要收税。
      - `true`：需要收税
      - `false`：不需要收税

    * `variant_id`

      string

      款式的唯一标识 ID。

    * `grams`

      double

      重量，单位：g。

    * `name`

      string

      SKU 标题，该字段值和 `title` 一致。

    * `price`

      string

      商品售价，以店铺币种展示。数值保留到小数点后两位。

    * `price_set`

      object

      商品售价，分别以店铺币种金额和买家币种金额展示。

      * `presentment_money`

        object

        展示给买家的商品售价信息。

      * `shop_money`

        object

        商家侧记录的商品售价信息。

    * `requires_shipping`

      boolean

      商品是否需要发货。
      - `true`：需要发货
      - `false`：不需要发货

    * `vendor`

      string

      供应商。

    * `product_id`

      string

      款式对应商品的唯一标识 ID。

    * `total_discount`

      string

      订单折扣总和，为营销折扣 + 自定义折扣，数值保留到小数点后两位，以店铺币种金额展示。

  * `name`

    string

    包裹编码。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "更新发货单物流追踪信息"
  ],
  "description": "更新指定发货单的追踪信息。",
  "externalDocs": {
    "description": "接口使用的权限点: `write_assigned_fulfillment_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| ILLEGAL_PARAMS | 422 | illegal param |\n| UNAUTHORIZED_ACCESS | 422 | unauthorized access |\n| MULTI_EXPRESS_INFOS_MAX_SIZE | 422 | A maximum of 10 tracking information can be added. |\n"
  },
  "operationId": "kOVO8B8b",
  "parameters": [
    {
      "name": "order_id",
      "in": "path",
      "description": "订单号。",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "订单号。",
        "type": "string"
      },
      "examples": {
        "更新发货单物流追踪信息": {
          "value": "21057401932826316666967110"
        }
      }
    },
    {
      "name": "fulfillment_id",
      "in": "path",
      "description": "发货单 ID。",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_id",
        "description": "发货单 ID。",
        "type": "string"
      },
      "examples": {
        "更新发货单物流追踪信息": {
          "value": "21057401932826316666967110"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body",
          "type": "object",
          "properties": {
            "fulfillment": {
              "name": "fulfillment",
              "description": "发货单信息。",
              "type": "object",
              "properties": {
                "notify_customer": {
                  "name": "notify_customer",
                  "description": "创建或更新发货单物流追踪信息后是否通过邮件通知消费者：\n- `true`: 通知消费者\n- `false`: 不通知消费者\n\n默认值：`false`\n",
                  "type": "boolean"
                },
                "tracking_info": {
                  "name": "tracking_info",
                  "description": "物流追踪信息。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                  "type": "object",
                  "properties": {
                    "company": {
                      "name": "company",
                      "description": "物流公司名称。",
                      "type": "string"
                    },
                    "number": {
                      "name": "number",
                      "description": "物流单号。",
                      "type": "string",
                      "example": "string"
                    },
                    "url": {
                      "name": "url",
                      "description": "物流公司的域名。",
                      "type": "string"
                    }
                  },
                  "required": [
                    "number"
                  ],
                  "example": {
                    "company": null,
                    "number": "string",
                    "url": null
                  }
                },
                "tracking_info_list": {
                  "name": "tracking_info_list",
                  "description": "物流追踪信息列表。此接口执行覆盖更新，未提供字段将被清空。\n\n最大个数限制：10 ",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "tracking_url": {
                        "name": "tracking_url",
                        "description": "物流公司的域名。",
                        "type": "string"
                      },
                      "tracking_company": {
                        "name": "tracking_company",
                        "description": "物流公司名称，枚举值参考 [物流公司名单](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/logistics-company-list.md)。",
                        "type": "string"
                      },
                      "tracking_number": {
                        "name": "tracking_number",
                        "description": "物流单号。",
                        "type": "string",
                        "example": "string"
                      }
                    },
                    "required": [
                      "tracking_number"
                    ],
                    "example": {
                      "tracking_url": null,
                      "tracking_company": null,
                      "tracking_number": "string"
                    }
                  },
                  "example": [
                    {
                      "tracking_url": null,
                      "tracking_company": null,
                      "tracking_number": "string"
                    }
                  ]
                }
              },
              "example": {
                "notify_customer": null,
                "tracking_info": {
                  "company": null,
                  "number": "string",
                  "url": null
                },
                "tracking_info_list": [
                  {
                    "tracking_number": "string",
                    "tracking_url": null,
                    "tracking_company": null
                  }
                ]
              }
            }
          },
          "required": [
            "fulfillment"
          ],
          "example": {
            "fulfillment": {
              "tracking_info_list": [
                {
                  "tracking_company": null,
                  "tracking_number": "string",
                  "tracking_url": null
                }
              ],
              "notify_customer": null,
              "tracking_info": {
                "company": null,
                "number": "string",
                "url": null
              }
            }
          }
        },
        "examples": {
          "更新发货单物流追踪信息": {
            "description": "更新指定发货单的追踪信息。",
            "value": {
              "fulfillment": {
                "notify_customer": true,
                "tracking_info_list": {
                  "tracking_company": "my-company",
                  "tracking_number": "UG15439033",
                  "tracking_url": "http://www.my-url.com"
                }
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "fulfillment": {
                "name": "fulfillment",
                "description": "发货单信息。",
                "type": "object",
                "properties": {
                  "order_id": {
                    "name": "order_id",
                    "description": "订单号。",
                    "type": "string"
                  },
                  "tracking_company": {
                    "name": "tracking_company",
                    "description": "物流公司名称。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string"
                  },
                  "tracking_info_list": {
                    "name": "tracking_info_list",
                    "description": "物流追踪信息列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "物流服务商。\t",
                          "type": "string"
                        },
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "物流单号。\t",
                          "type": "string"
                        },
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "物流公司的域名。\t",
                          "type": "string"
                        }
                      },
                      "example": {
                        "tracking_company": null,
                        "tracking_number": null,
                        "tracking_url": null
                      }
                    },
                    "example": [
                      {
                        "tracking_company": null,
                        "tracking_number": null,
                        "tracking_url": null
                      }
                    ]
                  },
                  "tracking_number": {
                    "name": "tracking_number",
                    "description": "第三方物流单号。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string"
                  },
                  "tracking_url": {
                    "name": "tracking_url",
                    "description": "物流追踪URL。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string"
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "发货单更新时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "发货单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "发货单 ID。",
                    "type": "string"
                  },
                  "shipment_status": {
                    "name": "shipment_status",
                    "description": "发货单物流追踪状态。有效枚举值包含：\n- `label_printed`：物流标签已打印\n- `label_purchased`：物流标签已购买\n- `attempted_delivery`：尝试派送，表示快递员尝试派送包裹但未成功\n- `ready_for_pickup`：等待物流公司取件\n- `picked_up`：物流公司已取件\n- `confirmed`：订单已确认\n- `in_transit`：包裹正在运输途中\n- `out_for_delivery`：包裹已到达目的地区域，正在派送\n- `delivered`：包裹已送达\n- `failure`：由于某些原因，包裹配送失败",
                    "type": "string"
                  },
                  "status": {
                    "name": "status",
                    "description": "发货单状态。有效枚举值包含：\n- `success`：已发货\n- `cancelled`：已取消",
                    "type": "string"
                  },
                  "tracking_numbers": {
                    "name": "tracking_numbers",
                    "description": "物流单号列表。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "tracking_urls": {
                    "name": "tracking_urls",
                    "description": "物流公司域名列表。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "发货单的商品列表。\t",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "variant_title": {
                          "name": "variant_title",
                          "description": "商品款式值，多个以 `/ ` 分割。",
                          "type": "string"
                        },
                        "version": {
                          "name": "version",
                          "description": "商品版本。",
                          "type": "string"
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "商品剩余可发货数量。",
                          "type": "integer"
                        },
                        "id": {
                          "name": "id",
                          "description": "商品行快照表的 ID，系统生成，与订单 ID 唯一确认一个商品行。",
                          "type": "string"
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "订单中的商品数量。",
                          "type": "integer"
                        },
                        "sku": {
                          "name": "sku",
                          "description": "商品 SKU 序列号。",
                          "type": "string"
                        },
                        "title": {
                          "name": "title",
                          "description": "商品标题。",
                          "type": "string"
                        },
                        "total_discount_set": {
                          "name": "total_discount_set",
                          "description": "订单折扣总和，为营销折扣 + 自定义折扣，分别以店铺币种金额和买家币种金额展示。",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "展示给买家的折扣信息。",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "折扣金额，数值保留到小数点后两位。",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "商家侧记录的折扣信息。",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "折扣金额，数值保留到小数点后两位。",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": null,
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": null,
                              "currency_code": "USD"
                            }
                          }
                        },
                        "fulfillment_status": {
                          "name": "fulfillment_status",
                          "description": "发货状态。有效枚举值包含：\n- `unshipped`：未发货\n- `partial`：部分发货\n- `shipped`：已发货",
                          "type": "string"
                        },
                        "properties": {
                          "name": "properties",
                          "description": "商品定制信息列表。",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "value": {
                                "name": "value",
                                "description": "自定义属性值。",
                                "type": "string"
                              },
                              "additional": {
                                "name": "additional",
                                "description": "定制商品附加字段，比如当 `type` 为 `文字`，`additional` 可以附加文字的字号、字体、颜色等。",
                                "type": "string"
                              },
                              "name": {
                                "name": "name",
                                "description": "自定义属性名称。",
                                "type": "string"
                              },
                              "type": {
                                "name": "type",
                                "description": "定制信息类型。有效枚举值包含：\n- `text`：字符类型\n- `picture`：图片类型\n- `link`：链接类型",
                                "type": "string"
                              },
                              "urls": {
                                "name": "urls",
                                "description": "URL 列表。如果 `type` 是 `picture`，可通过 `urls` 获取缩略图，如果 `type` 是 `link`，那么超链接为 `urls` 的第一个。",
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            },
                            "example": {
                              "name": null,
                              "type": null,
                              "urls": null,
                              "value": null,
                              "additional": null
                            }
                          },
                          "example": [
                            {
                              "type": null,
                              "urls": null,
                              "value": null,
                              "additional": null,
                              "name": null
                            }
                          ]
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "税费明细列表。",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "name": "name",
                                "description": "税费名称。",
                                "type": "string"
                              },
                              "price": {
                                "name": "price",
                                "description": "税费，以店铺币种展示。数值保留到小数点后两位。",
                                "type": "string"
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "税费，分别以买家币种和店铺币种展示。",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "展示给买家的税费信息。",
                                    "type": "object",
                                    "properties": {
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                                        "type": "string",
                                        "example": "USD"
                                      },
                                      "amount": {
                                        "name": "amount",
                                        "description": "税费，数值保留到小数点后两位。",
                                        "type": "string"
                                      }
                                    },
                                    "example": {
                                      "amount": null,
                                      "currency_code": "USD"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "商家侧记录的税费信息。",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "税费，数值保留到小数点后两位。",
                                        "type": "string"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": null,
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": null,
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": null,
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "税率，该信息只做展示作用。",
                                "type": "string"
                              },
                              "title": {
                                "name": "title",
                                "description": "税费说明标题。该信息只做展示作用。",
                                "type": "string"
                              }
                            },
                            "example": {
                              "rate": null,
                              "title": null,
                              "name": null,
                              "price": null,
                              "price_set": {
                                "presentment_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                }
                              }
                            }
                          },
                          "example": [
                            {
                              "title": null,
                              "name": null,
                              "price": null,
                              "price_set": {
                                "presentment_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                }
                              },
                              "rate": null
                            }
                          ]
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "该商品是否需要收税。\n- `true`：需要收税\n- `false`：不需要收税",
                          "type": "boolean"
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "款式的唯一标识 ID。",
                          "type": "string"
                        },
                        "grams": {
                          "name": "grams",
                          "description": "重量，单位：g。",
                          "type": "double"
                        },
                        "name": {
                          "name": "name",
                          "description": "SKU 标题，该字段值和 `title` 一致。",
                          "type": "string"
                        },
                        "price": {
                          "name": "price",
                          "description": "商品售价，以店铺币种展示。数值保留到小数点后两位。",
                          "type": "string"
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "商品售价，分别以店铺币种金额和买家币种金额展示。",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "展示给买家的商品售价信息。",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "商品售价，数值保留到小数点后两位。",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "商家侧记录的商品售价信息。",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "商品售价，数值保留到小数点后两位。",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": null,
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": null,
                              "currency_code": "USD"
                            }
                          }
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "商品是否需要发货。\n- `true`：需要发货\n- `false`：不需要发货",
                          "type": "boolean"
                        },
                        "vendor": {
                          "name": "vendor",
                          "description": "供应商。",
                          "type": "string"
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "款式对应商品的唯一标识 ID。",
                          "type": "string"
                        },
                        "total_discount": {
                          "name": "total_discount",
                          "description": "订单折扣总和，为营销折扣 + 自定义折扣，数值保留到小数点后两位，以店铺币种金额展示。",
                          "type": "string"
                        }
                      },
                      "example": {
                        "name": null,
                        "price": null,
                        "properties": [
                          {
                            "additional": null,
                            "name": null,
                            "type": null,
                            "urls": null,
                            "value": null
                          }
                        ],
                        "requires_shipping": null,
                        "taxable": null,
                        "title": null,
                        "vendor": null,
                        "product_id": null,
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "variant_id": null,
                        "fulfillment_status": null,
                        "grams": null,
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": null
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "quantity": null,
                        "sku": null,
                        "tax_lines": [
                          {
                            "title": null,
                            "name": null,
                            "price": null,
                            "price_set": {
                              "presentment_money": {
                                "amount": null,
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            },
                            "rate": null
                          }
                        ],
                        "fulfillable_quantity": null,
                        "id": null,
                        "total_discount": null,
                        "variant_title": null,
                        "version": null
                      }
                    },
                    "example": [
                      {
                        "properties": [
                          {
                            "urls": null,
                            "value": null,
                            "additional": null,
                            "name": null,
                            "type": null
                          }
                        ],
                        "quantity": null,
                        "title": null,
                        "price_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "total_discount": null,
                        "total_discount_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": null
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "variant_title": null,
                        "version": null,
                        "fulfillment_status": null,
                        "grams": null,
                        "requires_shipping": null,
                        "vendor": null,
                        "id": null,
                        "product_id": null,
                        "sku": null,
                        "variant_id": null,
                        "tax_lines": [
                          {
                            "name": null,
                            "price": null,
                            "price_set": {
                              "presentment_money": {
                                "amount": null,
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            },
                            "rate": null,
                            "title": null
                          }
                        ],
                        "taxable": null,
                        "fulfillable_quantity": null,
                        "name": null,
                        "price": null
                      }
                    ]
                  },
                  "name": {
                    "name": "name",
                    "description": "包裹编码。",
                    "type": "string"
                  }
                },
                "example": {
                  "shipment_status": null,
                  "tracking_company": null,
                  "tracking_number": null,
                  "tracking_url": null,
                  "tracking_urls": null,
                  "id": null,
                  "line_items": [
                    {
                      "product_id": null,
                      "properties": [
                        {
                          "additional": null,
                          "name": null,
                          "type": null,
                          "urls": null,
                          "value": null
                        }
                      ],
                      "sku": null,
                      "grams": null,
                      "price": null,
                      "quantity": null,
                      "tax_lines": [
                        {
                          "name": null,
                          "price": null,
                          "price_set": {
                            "presentment_money": {
                              "amount": null,
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": null,
                              "currency_code": "USD"
                            }
                          },
                          "rate": null,
                          "title": null
                        }
                      ],
                      "title": null,
                      "total_discount": null,
                      "variant_title": null,
                      "vendor": null,
                      "fulfillment_status": null,
                      "id": null,
                      "price_set": {
                        "presentment_money": {
                          "amount": null,
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": null,
                          "currency_code": "USD"
                        }
                      },
                      "total_discount_set": {
                        "presentment_money": {
                          "amount": null,
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": null,
                          "currency_code": "USD"
                        }
                      },
                      "version": null,
                      "fulfillable_quantity": null,
                      "requires_shipping": null,
                      "taxable": null,
                      "variant_id": null,
                      "name": null
                    }
                  ],
                  "status": null,
                  "tracking_info_list": [
                    {
                      "tracking_company": null,
                      "tracking_number": null,
                      "tracking_url": null
                    }
                  ],
                  "tracking_numbers": null,
                  "updated_at": "2022-10-21T08:56:20-04:00",
                  "created_at": "2022-10-21T08:56:20-04:00",
                  "name": null,
                  "order_id": null
                }
              }
            },
            "example": {
              "fulfillment": {
                "tracking_numbers": null,
                "name": null,
                "status": null,
                "tracking_info_list": [
                  {
                    "tracking_company": null,
                    "tracking_number": null,
                    "tracking_url": null
                  }
                ],
                "tracking_url": null,
                "tracking_urls": null,
                "updated_at": "2022-10-21T08:56:20-04:00",
                "created_at": "2022-10-21T08:56:20-04:00",
                "id": null,
                "line_items": [
                  {
                    "requires_shipping": null,
                    "variant_title": null,
                    "version": null,
                    "name": null,
                    "price": null,
                    "tax_lines": [
                      {
                        "name": null,
                        "price": null,
                        "price_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "rate": null,
                        "title": null
                      }
                    ],
                    "total_discount_set": {
                      "presentment_money": {
                        "amount": null,
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": null
                      }
                    },
                    "fulfillable_quantity": null,
                    "grams": null,
                    "quantity": null,
                    "sku": null,
                    "taxable": null,
                    "title": null,
                    "total_discount": null,
                    "variant_id": null,
                    "fulfillment_status": null,
                    "id": null,
                    "product_id": null,
                    "properties": [
                      {
                        "urls": null,
                        "value": null,
                        "additional": null,
                        "name": null,
                        "type": null
                      }
                    ],
                    "vendor": null,
                    "price_set": {
                      "presentment_money": {
                        "amount": null,
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": null,
                        "currency_code": "USD"
                      }
                    }
                  }
                ],
                "order_id": null,
                "shipment_status": null,
                "tracking_company": null,
                "tracking_number": null
              }
            }
          },
          "examples": {
            "更新发货单物流追踪信息": {
              "description": "更新指定发货单的追踪信息。",
              "value": {
                "fulfillment": {
                  "created_at": "2024-08-31T02:20:26+08:00",
                  "id": "****************364930293",
                  "line_items": [
                    {
                      "quantity": 3,
                      "title": "product title",
                      "total_discount": "10.00",
                      "fulfillment_status": "fulfilled",
                      "id": "*************49351",
                      "price_set": {
                        "presentment_money": {
                          "amount": "3.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "3.00",
                          "currency_code": "USD"
                        }
                      },
                      "properties": {
                        "type": "picture",
                        "urls": [
                          "https://www.test.com"
                        ],
                        "value": "attribute value",
                        "additional": "black",
                        "name": "Attribute name"
                      },
                      "sku": "*****************835053185",
                      "taxLines": [
                        {
                          "title": "ABC",
                          "name": "tax description",
                          "price": "1.00",
                          "price_set": {
                            "presentment_money": {
                              "amount": "1.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "1.00",
                              "currency_code": "USD"
                            }
                          },
                          "rate": "1.00"
                        }
                      ],
                      "total_discount_set": {
                        "presentment_money": {
                          "amount": "3.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "3.00",
                          "currency_code": "USD"
                        }
                      },
                      "vendor": "vendor name",
                      "name": "ABC",
                      "price": "3.00",
                      "product_id": "*****************332553651",
                      "taxable": true,
                      "variant_id": "*****************269573651",
                      "variant_title": "red",
                      "version": "0",
                      "grams": 45,
                      "requires_shipping": true,
                      "fulfillable_quantity": 3
                    }
                  ],
                  "shipment_status": "picked_up",
                  "tracking_company": "test",
                  "tracking_info_list": [
                    {
                      "tracking_number": "****************28407811",
                      "tracking_url": "www.example.com",
                      "tracking_company": "ABC"
                    }
                  ],
                  "tracking_numbers": [
                    "SF1111111"
                  ],
                  "tracking_urls": [
                    "www.example.com"
                  ],
                  "name": "ABC",
                  "order_id": "*****************684070293",
                  "status": "success",
                  "tracking_number": "SF1111111",
                  "tracking_url": "www.example.com",
                  "updated_at": "2024-08-31T02:20:26+08:00"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/fulfillments/:order_id/:fulfillment_id/update_tracking.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "更新发货单物流追踪信息",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_assigned_fulfillment_orders"
  ]
}
```